//
//  Member+Additions.m
//  Partiture
//
//  Created by Kaarel Kruus on 06/04/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "Member+Additions.h"
#import "PRTAppDelegate.h"
#import "Participation+Additions.h"

@implementation Member (Additions)

+ (Member *)fetchMemberWithToken:(NSString *)token {
    
    NSError *error = nil;
    
    NSFetchRequest *request = [NSFetchRequest fetchRequestWithEntityName:NSStringFromClass(Member.class)];
    [request setPredicate:[NSPredicate predicateWithFormat:@"token = %@", token]];
    
    NSArray *results = [[APPDELEGATE managedObjectContext] executeFetchRequest:request
                                                                         error:&error];
    if(!error) {
        if(results.count > 0) {
            return results[0];
        }
    }
    return nil;
}

+ (Member *)memberWithName:(NSString *)name andToken:(NSString *)token {
    Member *member = [self fetchMemberWithToken:token];
    if(!member) {
        Member *newMember = [NSEntityDescription insertNewObjectForEntityForName:NSStringFromClass(self.class)
                                                      inManagedObjectContext:[APPDELEGATE managedObjectContext]];
        newMember.name = name;
        newMember.token = token;
        [APPDELEGATE saveContext];
        
        PRT_DB_CREATE_INSTANCE_LOG(NSStringFromClass(self.class), nil);
        
        return newMember;
    }
    return member;
}

- (NSArray *)fetchActiveParticipations {
    NSMutableArray *results = [NSMutableArray array];
    for (Participation *participation in self.participations.allObjects) {
        if(participation.isActive) {
            [results addObject:participation];
        }
    }
    return (results.count > 0 ? results : nil);
}

@end
