//
//  Membership+Additions.m
//  Partiture
//
//  Created by Kaarel Kruus on 06/04/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "Membership+Additions.h"
#import "PRTAppDelegate.h"

@implementation Membership (Additions)

+ (Membership *)fetchMembershipForMember:(Member *)member inRoom:(Room *)room {
    
    NSError *error = nil;
    
    NSFetchRequest *request = [NSFetchRequest fetchRequestWithEntityName:NSStringFromClass(Membership.class)];
    [request setPredicate:[NSPredicate predicateWithFormat:@"member = %@ AND room = %@", member, room]];
    
    NSArray *results = [[APPDELEGATE managedObjectContext] executeFetchRequest:request
                                                                         error:&error];
    if(!error) {
        if(results.count > 0) {
            return results[0];
        }
    }
    return nil;
}

+ (Membership *)membershipWithMember:(Member *)member inRoom:(Room *)room {
    Membership *membership = [self fetchMembershipForMember:member inRoom:room];
    if(!membership) {
        Membership *newMembership = [NSEntityDescription insertNewObjectForEntityForName:NSStringFromClass(self.class)
                                                                  inManagedObjectContext:[APPDELEGATE managedObjectContext]];
        newMembership.member = member;
        newMembership.room = room;
        [APPDELEGATE saveContext];
        
        PRT_DB_CREATE_INSTANCE_LOG(NSStringFromClass(self.class), nil);
        
        return newMembership;
    }
    return membership;
}

@end
