//
//  PRTAnimatingButton.m
//  Partiture
//
//  Created by Kaarel Kruus on 13/04/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTAnimatingButton.h"

@interface PRTAnimatingButton ()

@property (nonatomic, strong) UIImageView *animatingImageView;

@end

@implementation PRTAnimatingButton

- (void)drawRect:(CGRect)rect {
    if(!self.animatingImageView) {
        [self setSelected:NO];
    }
}

- (void)setSelected:(BOOL)selected {
    [super setSelected:selected];
    
    [self.animatingImageView removeFromSuperview];
    
    NSArray *animatingImages = (selected) ? self.selectedAnimatingImages : self.deselectedAnimatingImages;
    if(animatingImages.count > 0) {
        self.animatingImageView = [[UIImageView alloc] initWithImage:animatingImages[0]];
        if(animatingImages.count > 1) {
            self.animatingImageView.animationImages = animatingImages;
            self.animatingImageView.animationDuration = animatingImages.count / 2.0F;
            [self.animatingImageView startAnimating];
        } else {
            [self.animatingImageView stopAnimating];
        }
        [self addSubview:self.animatingImageView];
    } else {
        self.animatingImageView = nil;
    }
}

@end
