//
//  PRTAppDelegate.h
//  Partiture
//
//  Created by Kaarel Kruus on 08/02/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "User+Additions.h"

extern NSString *PRTApplicationDidBecomeActiveNotification;

#define APPDELEGATE ((PRTAppDelegate *)[[UIApplication sharedApplication] delegate])

@interface PRTAppDelegate : UIResponder <UIApplicationDelegate>

@property (strong, nonatomic) UIWindow *window;

@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;
@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;

@property (nonatomic, assign) BOOL isEditingMode;

- (void)saveContext;
- (NSURL *)applicationDocumentsDirectory;

@property (readonly, strong, nonatomic) User *appUser;

@end

@interface PRTAppDelegate (ListenerAccessories)

- (void)startListening;
- (void)stopListening;

@end

@interface PRTAppDelegate (DebugAccessories)

- (void)debugHudWithText:(NSString *)text;
- (void)debugHudWithTextFormat:(NSString *)format, ...;

@end


