//
//  PRTBaseInfo.m
//  Partiture
//
//  Created by Kaarel Kruus on 11/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTBaseInfo.h"

@interface PRTBaseInfo ()

#define PROP_LINKED_INFO @"linkedInfo"
@property (nonatomic, strong, readwrite) PRTBaseInfo *linkedInfo;

@end

@implementation PRTBaseInfo

- (id)init {
    return [self initWithLinkedInfo:nil];
}

- (id)initWithLinkedInfo:(PRTBaseInfo *)linkedInfo {
    self = [super init];
    if(self) {
        self.linkedInfo = linkedInfo;
    }
    return self;
}

- (id)initWithCoder:(NSCoder *)aDecoder {
    self = [super init];
    if(self) {
        self.linkedInfo = [aDecoder decodeObjectForKey:PROP_LINKED_INFO];
    }
    return self;
}

- (void)encodeWithCoder:(NSCoder *)aCoder {
    [aCoder encodeObject:self.linkedInfo forKey:PROP_LINKED_INFO];
}

@end
