//
//  PRTCOMPublisher.h
//  Partiture
//
//  Created by Kaarel Kruus on 17/03/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PRTCommunicator.h"
#import "Session+Additions.h"
#import "PRTPageTurnInfo.h"

@class PRTCOMPublisher;

@protocol PRTCOMPublisherDelegate <NSObject>

@required

- (Membership *)publisher:(PRTCOMPublisher *)publisher membershipForMemberWithToken:(NSString *)token inRoom:(Room *)room;
- (BOOL)publisher:(PRTCOMPublisher *)publisher hasParticipatingMember:(Member *)member inSession:(Session *)session;

@end


@interface PRTCOMPublisher : PRTCommunicator

@property (nonatomic, weak) id <PRTCOMPublisherDelegate> delegate;

@end

@interface PRTCOMPublisher (External)

// Starts browsing for listeners nearby
- (void)publishSession:(Session *)session;

// Stops browsing for listeners nearby
- (void)unpublishSession;

- (void)pushPageTurn:(PRTPageTurnInfo *)pageTurnInfo;

@end