//
//  PRTCommon.h
//  Partiture
//
//  Created by Kaarel Kruus on 11/02/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#ifndef Partiture_PRTCommon_h
#define Partiture_PRTCommon_h

@class Remark;

typedef void (^PRTBlock)(void);

typedef void (^PRTResultBlock)(id result, NSError *error);

typedef void (^PRTDrawTextFieldBlock)(UITextField *textField, NSString *uuid);
typedef void (^PRTTurnPageBlock)(NSInteger toPage);
typedef void (^PRTMoveBlock)(CGPoint point, NSString *uuid);

typedef void (^PRTDelegateAnnotationBlock)(Remark *remark, NSString *uuid);


#define PRIVATE_LAYER_REMARK_COLOR [UIColor greenColor]
#define PUBLIC_LAYER_REMARK_COLOR [UIColor redColor]


#define DISPATCH_ASYNC(...) dispatch_async(dispatch_get_global_queue(DISPATCH_QUEUE_PRIORITY_DEFAULT, 0), ^{ __VA_ARGS__ })
#define DISPATCH_ASYNC_MAIN(...) dispatch_async(dispatch_get_main_queue(), ^{ __VA_ARGS__ })

#define SERVICE_CONFIGURATION ([NSDictionary dictionaryWithContentsOfFile:[[NSBundle mainBundle] pathForResource:@"ServiceConfiguration" ofType:@"plist"]])
#define INFO_DICTIONARY ([[NSBundle mainBundle] infoDictionary])

// logging & debugging

#define PRT_LOG_S(...) ([APPDELEGATE debugHudWithTextFormat:__VA_ARGS__])

#define PRTLog //NSLog
#define PRTMemoryLog //NSLog


#define PRT_FEATURE_ON_JOIN_REQUEST_LOG //NSLog

#define PRT_DB_LOG NSLog

#define PRT_ERROR_LOG NSLog


#define PRT_SESSION_LOG NSLog
#define PRTCOMPublisher_LOG NSLog
#define PRTCOMListener_LOG NSLog

#define PRT_DB_CREATE_INSTANCE_LOG(instanceClass, info) NSLog(@"[%@] - CREATE", instanceClass)

#endif
