//
//  PRTCommunicationManager.m
//  Partiture
//
//  Created by Kaarel Kruus on 16/03/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTCommunicationManager.h"
#import "PRTCOMPublisher.h"
#import "PRTCOMListener.h"

@interface PRTCommunicationManager ()

@property (nonatomic, strong, readwrite) PRTCOMPublisher *publisher;
@property (nonatomic, strong, readwrite) PRTCOMListener *listener;

@end

@implementation PRTCommunicationManager

static PRTCommunicationManager *sharedManager = nil;

+ (id)sharedManager {
    static dispatch_once_t token;
    dispatch_once(&token, ^{
        sharedManager = [[PRTCommunicationManager alloc] init];
    });
    return sharedManager;
}

- (id)init {
    self = [super init];
    if(self) {
        self.publisher = [[PRTCOMPublisher alloc] init];
        self.listener = [[PRTCOMListener alloc] init];
    }
    return self;
}

- (void)dealloc {
    self.publisher = nil;
    self.listener = nil;
}

@end
