//
//  PRTCommunicator+Private.h
//  Partiture
//
//  Created by Kaarel Kruus on 09/04/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#ifndef Partiture_PRTCommunicator_Private_h
#define Partiture_PRTCommunicator_Private_h

typedef void (^PRTCOMPackageExtractBlock)(NSString *uuid, id body, id responseBlock);

@interface PRTCommunicator (Private)

- (void)pushPackage:(id)package inSession:(MCSession *)session;
- (void)pushPackage:(id)package inSessions:(NSArray *)sessions;
- (void)pushPackage:(id)package withUuid:(NSString *)uuid inSession:(MCSession *)session;
- (void)pushPackage:(id)package inSession:(MCSession *)session withResponseBlock:(id)resposeBlock;
- (void)pushPackage:(id)package withUuid:(NSString *)uuid inSessions:(NSArray *)sessions withResponseBlock:(id)resposeBlock;
- (void)pushPackage:(id)package withUuid:(NSString *)uuid inSession:(MCSession *)session withResponseBlock:(id)resposeBlock;

- (NSData *)compressDataPackageWith:(id<NSCoding>)packageBody;
- (void)uncompressDataPackage:(NSData *)dataPackage withCompletion:(PRTCOMPackageExtractBlock)extractBlock;

@end

#endif
