//
//  PRTDrawingViewDelegate.h
//  Partiture
//
//  Created by Kaarel Kruus on 25/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <UIKit/UIKit.h>

@class PRTDrawingView;
@class PRTRemarkView;

@protocol PRTDrawingViewDelegate <NSObject>

@optional

- (BOOL)drawingView:(PRTDrawingView *)drawingView shouldDrawRemarkView:(PRTRemarkView *)remarkView withUuid:(NSString *)uuid;
- (void)drawingView:(PRTDrawingView *)drawingView didDrawRemarkView:(PRTRemarkView *)remarkView withUuid:(NSString *)uuid;

- (void)drawingView:(PRTDrawingView *)drawingView didLongPressOnRemarkView:(PRTRemarkView *)remarkView withUuid:(NSString *)uuid;

- (BOOL)drawingView:(PRTDrawingView *)drawingView canMoveRemarkView:(PRTRemarkView *)remarkView withUuid:(NSString *)uuid;
- (BOOL)drawingView:(PRTDrawingView *)drawingView canDeleteRemarkView:(PRTRemarkView *)remarkView withUuid:(NSString *)uuid;

- (NSDate *)drawingView:(PRTDrawingView *)drawingView creationDateOfRemarkView:(PRTRemarkView *)remarkView withUuid:(NSString *)uuid;
- (NSString *)drawingView:(PRTDrawingView *)drawingView creatorOfRemarkView:(PRTRemarkView *)remarkView withUuid:(NSString *)uuid;

@end
