//
//  PRTFileManager.m
//  Partiture
//
//  Created by Kaarel Kruus on 11/02/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTFileManager.h"

@implementation PRTFileManager

static PRTFileManager *sharedManager = nil;

+ (id)sharedManager {
    static dispatch_once_t token;
    dispatch_once(&token, ^{
        sharedManager = [[PRTFileManager alloc] init];
    });
    return sharedManager;
}

- (id)init {
    self = [super init];
    if(self) {
        
        /* create storage dir for filesets (if needed) */
        
        NSFileManager *fileManager = [[NSFileManager alloc] init];
        NSString *fileSetsPath = [self fileSetsPath];
        
        BOOL isDirectory = YES;
        
        if(![fileManager fileExistsAtPath:fileSetsPath isDirectory:&isDirectory]) {
            [fileManager createDirectoryAtPath:fileSetsPath
                   withIntermediateDirectories:YES
                                    attributes:Nil
                                         error:nil];
            //NSLog(@"- - - CREATE FILESET DIR!");
        } else {
            //NSLog(@"- - - FILESET DIR EXISTS!");
        }
    }
    return self;
}

- (NSString *)fileSetsPath {
    NSString *documentsPath = [NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) firstObject];
    return [documentsPath stringByAppendingString:@"/filesets"];
}

/*
- (NSArray *)filePathsForChecksum:(NSString *)checksum {
    NSString *dirPath = [NSString stringWithFormat:@"%@/%@/", [self fileSetsPath], checksum];
    NSArray *filePaths = [[NSFileManager defaultManager] contentsOfDirectoryAtPath:dirPath error:nil];
    NSPredicate *fltr = [NSPredicate predicateWithFormat:@"self ENDSWITH '.png'"];
    NSArray *onlyPNGs = [filePaths filteredArrayUsingPredicate:fltr];
    return onlyPNGs;
}
*/

- (NSString *)filePathForChecksum:(NSString *)checksum {
    NSString *dirPath = [NSString stringWithFormat:@"%@/%@/", [self fileSetsPath], checksum];
    NSArray *filePaths = [[NSFileManager defaultManager] contentsOfDirectoryAtPath:dirPath error:nil];
    NSPredicate *fltr = [NSPredicate predicateWithFormat:@"self ENDSWITH '.pdf'"];
    NSArray *onlyPDFs = [filePaths filteredArrayUsingPredicate:fltr];
    return (onlyPDFs.count > 0 ? onlyPDFs[0] : nil);
}

@end
