//
//  PRTInvitationInfo.h
//  Partiture
//
//  Created by Kaarel Kruus on 10/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PRTBaseInfo.h"

typedef enum {
    InvitationStatusGoodBye, // the user is blocked
    InvitationStatusHello, // the user is new (no previous info found)
    InvitationStatusWelcome, // the user is an accepted member of the room
    InvitationStatusWarmWelcome, // the user is an accepted (persistent) member of the room
    InvitationStatusWelcomeBack // the user is a current participant in a session of a room
} InvitationStatus;

@interface PRTInvitationInfo : PRTBaseInfo

@property (nonatomic, assign, readonly) InvitationStatus invitationStatus;

+ (PRTInvitationInfo *)infoWithInvitationStatus:(InvitationStatus)invitationStatus;
+ (PRTInvitationInfo *)infoWithInvitationStatus:(InvitationStatus)invitationStatus andLinkedInfo:(id <NSCoding>)linkedInfo;

@end
