//
//  PRTInvitationInfo.m
//  Partiture
//
//  Created by Kaarel Kruus on 10/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTInvitationInfo.h"

@interface PRTInvitationInfo ()

#define PROP_INVITATION_STATUS @"invitationStatus"
@property (nonatomic, assign, readwrite) InvitationStatus invitationStatus;

@end

@implementation PRTInvitationInfo

+ (PRTInvitationInfo *)infoWithInvitationStatus:(InvitationStatus)invitationStatus andLinkedInfo:(id <NSCoding>)linkedInfo {
    return [[self alloc] initWithInvitationStatus:invitationStatus andLinkedInfo:linkedInfo];
}

+ (PRTInvitationInfo *)infoWithInvitationStatus:(InvitationStatus)invitationStatus {
    return [self infoWithInvitationStatus:invitationStatus andLinkedInfo:nil];
}

- (id)initWithInvitationStatus:(InvitationStatus)invitationStatus andLinkedInfo:(id <NSCoding>)linkedInfo {
    self = [super initWithLinkedInfo:linkedInfo];
    if(self) {
        self.invitationStatus = invitationStatus;
    }
    return self;
}

- (id)initWithCoder:(NSCoder *)aDecoder {
    self = [super initWithCoder:aDecoder];
    if(self) {
        self.invitationStatus = [aDecoder decodeIntegerForKey:PROP_INVITATION_STATUS];
    }
    return self;
}

- (void)encodeWithCoder:(NSCoder *)aCoder {
    [super encodeWithCoder:aCoder];
    [aCoder encodeInteger:self.invitationStatus forKey:PROP_INVITATION_STATUS];
}

@end
