//
//  PRTPageTurnInfo.m
//  Partiture
//
//  Created by Kaarel Kruus on 10/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTPageTurnInfo.h"

@interface PRTPageTurnInfo ()

#define PROP_PAGE_INDEX @"pageIndex"
@property (nonatomic, assign, readwrite) NSInteger pageIndex;

@end

@implementation PRTPageTurnInfo

+ (PRTPageTurnInfo *)infoWithPageIndex:(NSInteger)pageIndex {
    return [[self alloc] initWithPageIndex:pageIndex];
}

- (id)initWithPageIndex:(NSInteger)pageIndex {
    self = [super init];
    if(self) {
        self.pageIndex = pageIndex;
    }
    return self;
}

- (id)initWithCoder:(NSCoder *)aDecoder {
    self = [super initWithCoder:aDecoder];
    if(self) {
        self.pageIndex = [aDecoder decodeIntegerForKey:PROP_PAGE_INDEX];
    }
    return self;
}

- (void)encodeWithCoder:(NSCoder *)aCoder {
    [super encodeWithCoder:aCoder];
    [aCoder encodeInteger:self.pageIndex forKey:PROP_PAGE_INDEX];
}

@end
