//
//  PRTRemarkView.m
//  Partiture
//
//  Created by Kaarel Kruus on 11/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTRemarkView.h"

@implementation PRTRemarkView

- (void)sharedInit {
    UILongPressGestureRecognizer *recognizer = [[UILongPressGestureRecognizer alloc]
                                                initWithTarget:self
                                                action:@selector(longTapRecognized:)];
    [self addGestureRecognizer:recognizer];
}

- (id)initWithFrame:(CGRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        [self sharedInit];
    }
    return self;
}

- (id)initWithCoder:(NSCoder *)aDecoder {
    self = [super initWithCoder:aDecoder];
    if(self) {
        [self sharedInit];
    }
    return self;
}

- (void)longTapRecognized:(UILongPressGestureRecognizer *)recognizer {
    if (recognizer.state == UIGestureRecognizerStateBegan){
        if(self.delegate && [self.delegate respondsToSelector:@selector(didLongPressOnRemarkView:)]) {
            [self.delegate didLongPressOnRemarkView:self];
        }
    }
}

- (void)startShaking {
    NSLog(@"%s", __PRETTY_FUNCTION__);
    
    CGFloat t = 1.0;
    
    CGAffineTransform translateRight  = CGAffineTransformTranslate(CGAffineTransformIdentity, t, 0.0);
    CGAffineTransform translateLeft = CGAffineTransformTranslate(CGAffineTransformIdentity, -t, 0.0);
    
    self.transform = translateLeft;
    
    [UIView animateWithDuration:0.01 delay:0.0 options:UIViewAnimationOptionAutoreverse|UIViewAnimationOptionRepeat animations:^{
        self.transform = translateRight;
    } completion:^(BOOL finished) {
        if (finished) {
            [UIView animateWithDuration:0.05 delay:0.0 options:UIViewAnimationOptionBeginFromCurrentState animations:^{
                self.transform = CGAffineTransformIdentity;
            } completion:NULL];
        }
    }];
}

- (void)stopShaking {
    NSLog(@"%s", __PRETTY_FUNCTION__);
}

@end
