//
//  PRTRoomInfo.m
//  Partiture
//
//  Created by Kaarel Kruus on 09/04/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTRoomInfo.h"

@interface PRTRoomInfo ()

#define PROP_ROOM_UUID @"roomUuid"
@property (nonatomic, strong, readwrite) NSString *roomUuid;

#define PROP_SCORE_TOKEN @"scoreToken"
@property (nonatomic, strong, readwrite) NSString *scoreToken;

@end

@implementation PRTRoomInfo

+ (PRTRoomInfo *)infoWithRoomUuid:(NSString *)roomUuid andScoreToken:(NSString *)scoreToken {
    return [[self alloc] initWithRoomUuid:roomUuid andScoreToken:scoreToken];
}

- (id)initWithRoomUuid:(NSString *)roomUuid andScoreToken:(NSString *)scoreToken {
    self = [super init];
    if(self) {
        self.roomUuid = roomUuid;
        self.scoreToken = scoreToken;
    }
    return self;
}

- (id)initWithCoder:(NSCoder *)aDecoder {
    self = [super initWithCoder:aDecoder];
    if(self) {
        self.roomUuid = [aDecoder decodeObjectForKey:PROP_ROOM_UUID];
        self.scoreToken = [aDecoder decodeObjectForKey:PROP_SCORE_TOKEN];
    }
    return self;
}

- (void)encodeWithCoder:(NSCoder *)aCoder {
    [super encodeWithCoder:aCoder];
    [aCoder encodeObject:self.roomUuid forKey:PROP_ROOM_UUID];
    [aCoder encodeObject:self.scoreToken forKey:PROP_SCORE_TOKEN];
}

@end
