//
//  PRTRoomJoinRequestInfo.m
//  Partiture
//
//  Created by Kaarel Kruus on 09/04/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTRoomJoinRequestInfo.h"

@interface PRTRoomJoinRequestInfo ()

#define PROP_USER_TOKEN @"userToken"
@property (nonatomic, strong, readwrite) NSString *userToken;

#define PROP_USER_NAME @"userName"
@property (nonatomic, strong, readwrite) NSString *userName;

#define PROP_PASSKEY @"passkey"
@property (nonatomic, strong, readwrite) NSString *passkey;

@property (nonatomic, copy) PRTCOMRoomJoinResponseBlock responseBlock;

@end

@implementation PRTRoomJoinRequestInfo

+ (PRTRoomJoinRequestInfo *)infoWithUserToken:(NSString *)userToken andName:(NSString *)userName andPasskey:(NSString *)passkey responseBlock:(PRTCOMRoomJoinResponseBlock)responseBlock {
    return [[self alloc] initWithUserToken:userToken andName:userName passkey:passkey responseBlock:responseBlock];
}

- (id)initWithUserToken:(NSString *)userToken andName:(NSString *)userName passkey:(NSString *)passkey responseBlock:(PRTCOMRoomJoinResponseBlock)responseBlock {
    self = [super init];
    if(self) {
        self.userToken = userToken;
        self.userName = userName;
        self.passkey = passkey;
        self.responseBlock = responseBlock;
    }
    return self;
}

- (id)initWithCoder:(NSCoder *)aDecoder {
    self = [super initWithCoder:aDecoder];
    if(self) {
        self.userToken = [aDecoder decodeObjectForKey:PROP_USER_TOKEN];
        self.userName = [aDecoder decodeObjectForKey:PROP_USER_NAME];
        self.passkey = [aDecoder decodeObjectForKey:PROP_PASSKEY];
    }
    return self;
}

- (void)encodeWithCoder:(NSCoder *)aCoder {
    [super encodeWithCoder:aCoder];
    [aCoder encodeObject:self.userToken forKey:PROP_USER_TOKEN];
    [aCoder encodeObject:self.userName forKey:PROP_USER_NAME];
    [aCoder encodeObject:self.passkey forKey:PROP_PASSKEY];
}

@end
