//
//  PRTRoomJoinResponseInfo.m
//  Partiture
//
//  Created by Kaarel Kruus on 10/04/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTRoomJoinResponseInfo.h"

@interface PRTRoomJoinResponseInfo ()

#define PROP_RESPONSE @"response"
@property (nonatomic, assign, readwrite) BOOL accepted;

@end

@implementation PRTRoomJoinResponseInfo

+ (PRTRoomJoinResponseInfo *)infoWithResponse:(BOOL)accepted {
    return [[self alloc] initWithResponse:accepted];
}

- (id)initWithResponse:(BOOL)accepted {
    self = [super init];
    if (self) {
        self.accepted = accepted;
    }
    return self;
}

- (id)initWithCoder:(NSCoder *)aDecoder {
    self = [super initWithCoder:aDecoder];
    if(self) {
        self.accepted = [aDecoder decodeBoolForKey:PROP_RESPONSE];
    }
    return self;
}

- (void)encodeWithCoder:(NSCoder *)aCoder {
    [super encodeWithCoder:aCoder];
    [aCoder encodeBool:self.accepted forKey:PROP_RESPONSE];
}

@end
