//
//  PRTWorkspaceRemarkPopOver.m
//  Partiture
//
//  Created by Kaarel Kruus on 11/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTWorkspaceRemarkPopOver.h"

@interface PRTWorkspaceRemarkPopOver ()

@property (nonatomic, weak) IBOutlet UILabel *createdDateLabel;
@property (nonatomic, weak) IBOutlet UILabel *createdByLabel;
@property (nonatomic, weak) IBOutlet UIButton *moveButton;
@property (nonatomic, weak) IBOutlet UIButton *deleteButton;

@property (nonatomic, strong) NSDate *createdDate;
@property (nonatomic, strong) NSString *createdBy;
@property (nonatomic, assign) BOOL canMove;
@property (nonatomic, assign) BOOL canDelete;

@property (nonatomic, copy) PRTWorkspaceRemarkPopOverBlock moveBlock;
@property (nonatomic, copy) PRTWorkspaceRemarkPopOverBlock deleteBlock;

@end

@implementation PRTWorkspaceRemarkPopOver

- (IBAction)onMove:(id)sender {
    if(self.moveBlock) {
        self.moveBlock();
    }
}

- (IBAction)onDelete:(id)sender {
    if(self.deleteBlock) {
        self.deleteBlock();
    }
}

- (void)setMoveBlock:(PRTWorkspaceRemarkPopOverBlock)moveBlock {
    self->_moveBlock = moveBlock;
}

- (void)setDeleteBlock:(PRTWorkspaceRemarkPopOverBlock)deleteBlock {
    self->_deleteBlock = deleteBlock;
}

- (id)initWithCreatedDate:(NSDate *)createdDate createdBy:(NSString *)createdBy canMove:(BOOL)canMove canDelete:(BOOL)canDelete {
    self = [super initWithNibName:@"PRTWorkspaceRemarkPopOver" bundle:nil];
    if(self) {
        self.createdDate = createdDate;
        self.createdBy = createdBy;
        self.canMove = canMove;
        self.canDelete = canDelete;
    }
    return self;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.createdByLabel.text = [NSString stringWithFormat:@"Created by: %@", self.createdBy];
    self.createdDateLabel.text = [NSString stringWithFormat:@"Created at: %@", self.createdDate.description]; // TODO: human readable time format
    
    self.moveButton.enabled = self.canMove;
    self.deleteButton.enabled = self.canDelete;
}

@end
