//
//  Remark+Additions.m
//  Partiture
//
//  Created by Kaarel Kruus on 05/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "Remark+Additions.h"
#import "PRTAppDelegate.h"

@implementation Remark (Additions)

+ (Remark *)fetchRemarkWithUuid:(NSString *)uuid {
    
    NSError *error = nil;
    
    NSFetchRequest *request = [NSFetchRequest fetchRequestWithEntityName:NSStringFromClass(self.class)];
    [request setPredicate:[NSPredicate predicateWithFormat:@"uuid = %@", uuid]];
    
    NSArray *results = [[APPDELEGATE managedObjectContext] executeFetchRequest:request
                                                                         error:&error];
    if(!error) {
        if(results.count > 0) {
            return results[0];
        }
    }
    return nil;
}

+ (Remark *)remarkWithData:(NSData *)data forPage:(NSInteger)page onLayer:(Layer *)layer withParticipation:(Participation *)participation {
    
    Remark *newRemark = [NSEntityDescription insertNewObjectForEntityForName:NSStringFromClass(self.class)
                                                  inManagedObjectContext:[APPDELEGATE managedObjectContext]];
    newRemark.layer = layer;
    newRemark.participation = participation;
    newRemark.page = @(page);
    newRemark.data = data;
    [APPDELEGATE saveContext];
    
    PRT_DB_CREATE_INSTANCE_LOG(NSStringFromClass(self.class), nil);
    
    return newRemark;
}

@end
