//
//  Score+Additions.m
//  Partiture
//
//  Created by Kaarel Kruus on 16/02/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "Score+Additions.h"
#import "PRTAppDelegate.h"

@implementation Score (Additions)

- (NSString *)composerString {
    NSString *result = @"";
    for(int i = 0; i < self.composers.allObjects.count; i++) {
        Composer *c = self.composers.allObjects[i];
        result = [result stringByAppendingString:c.name];
        if(i < (self.composers.allObjects.count - 1)) {
            result = [result stringByAppendingString:@", "];
        }
    }
    return result;
}

- (NSString *)lyricistString {
    NSString *result = @"";
    for(int i = 0; i < self.lyricists.allObjects.count; i++) {
        Lyricist *l = self.lyricists.allObjects[i];
        result = [result stringByAppendingString:l.name];
        if(i < (self.lyricists.allObjects.count - 1)) {
            result = [result stringByAppendingString:@", "];
        }
    }
    return result;
}

+ (Score *)unassociatedObject {
    NSEntityDescription *entity = [NSEntityDescription entityForName:@"Score"
                                              inManagedObjectContext:[APPDELEGATE managedObjectContext]];
    Score *unassociatedObject = (Score *)[[NSManagedObject alloc] initWithEntity:entity
                                         insertIntoManagedObjectContext:nil];
    return unassociatedObject;
}

- (Layer *)publicLayer {
    return (self.layers.allObjects.count > 0) ? self.layers.allObjects[0] : nil;
}

@end
