//
//  Score.h
//  Partiture
//
//  Created by Kaarel Kruus on 03/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Arranger, Bundle, Composer, Lyricist;

@interface Score : NSManagedObject

@property (nonatomic, retain) NSString * subtitle;
@property (nonatomic, retain) NSString * title;
@property (nonatomic, retain) NSString * token;
@property (nonatomic, retain) NSSet *arrangers;
@property (nonatomic, retain) NSSet *bundles;
@property (nonatomic, retain) NSSet *composers;
@property (nonatomic, retain) NSSet *lyricists;
@end

@interface Score (CoreDataGeneratedAccessors)

- (void)addArrangersObject:(Arranger *)value;
- (void)removeArrangersObject:(Arranger *)value;
- (void)addArrangers:(NSSet *)values;
- (void)removeArrangers:(NSSet *)values;

- (void)addBundlesObject:(Bundle *)value;
- (void)removeBundlesObject:(Bundle *)value;
- (void)addBundles:(NSSet *)values;
- (void)removeBundles:(NSSet *)values;

- (void)addComposersObject:(Composer *)value;
- (void)removeComposersObject:(Composer *)value;
- (void)addComposers:(NSSet *)values;
- (void)removeComposers:(NSSet *)values;

- (void)addLyricistsObject:(Lyricist *)value;
- (void)removeLyricistsObject:(Lyricist *)value;
- (void)addLyricists:(NSSet *)values;
- (void)removeLyricists:(NSSet *)values;

@end
