//
//  Score.h
//  Partiture
//
//  Created by Kaarel Kruus on 16/02/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Arranger, Composer, Layer, Lyricist;

@interface Score : NSManagedObject

@property (nonatomic, retain) NSString * checksum;
@property (nonatomic, retain) NSString * href;
@property (nonatomic, retain) NSString * metainfo;
@property (nonatomic, retain) NSString * origin;
@property (nonatomic, retain) NSString * title;
@property (nonatomic, retain) NSSet *arrangers;
@property (nonatomic, retain) NSSet *composers;
@property (nonatomic, retain) NSSet *lyricists;
@property (nonatomic, retain) NSSet *layers;
@end

@interface Score (CoreDataGeneratedAccessors)

- (void)addArrangersObject:(Arranger *)value;
- (void)removeArrangersObject:(Arranger *)value;
- (void)addArrangers:(NSSet *)values;
- (void)removeArrangers:(NSSet *)values;

- (void)addComposersObject:(Composer *)value;
- (void)removeComposersObject:(Composer *)value;
- (void)addComposers:(NSSet *)values;
- (void)removeComposers:(NSSet *)values;

- (void)addLyricistsObject:(Lyricist *)value;
- (void)removeLyricistsObject:(Lyricist *)value;
- (void)addLyricists:(NSSet *)values;
- (void)removeLyricists:(NSSet *)values;

- (void)addLayersObject:(Layer *)value;
- (void)removeLayersObject:(Layer *)value;
- (void)addLayers:(NSSet *)values;
- (void)removeLayers:(NSSet *)values;

@end
