//
//  Session+Additions.h
//  Partiture
//
//  Created by Kaarel Kruus on 16/03/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Session.h"
#import "Room+Additions.h"
#import "PRTCOMPublisher.h"

typedef enum {
    PRTParticipantAddStatusUnknown,
    PRTParticipantAddStatusAdded,
    PRTParticipantAddStatusExisting,
    PRTParticipantAddStatusUnknownMember // no such member in room, or blocked
} PRTParticipantAddStatus;

typedef enum {
    PRTParticipantRemoveStatusUnknown,
    PRTParticipantRemoveStatusRemoved,
    PRTParticipantRemoveStatusNotExisting,
    PRTParticipantRemoveStatusUnknownMember
} PRTParticipantRemoveStatus;

@interface Session (Additions)

- (Layer *)fetchPublicLayer;
- (Layer *)fetchPrivateLayer;

+ (Session *)createAndStartUnpublishedInRoom:(Room *)room;
+ (Session *)createAndStartPublishedInRoom:(Room *)room;

- (Participation *)participationForMember:(Member *)member;

- (void)saveAndEnd;

- (PRTParticipantAddStatus)addParticipant:(Member *)member;
- (PRTParticipantRemoveStatus)removeParticipant:(Member *)member;

@end

@interface Session (COMPublisher)

- (void)pageTurn:(NSInteger)toIndex;

// TODO: move
- (void)receiveJoinRequestFromUserWithName:(NSString *)name
                                     token:(NSString *)token
                                andPasskey:(NSString *)passkey
                         withDecisionBlock:(void(^)(BOOL accept))decisionBlock;

@end

@interface Session (COMListener)

@end
