//
//  Session.h
//  Partiture
//
//  Created by Kaarel Kruus on 11/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Layer, Participation, Room;

@interface Session : NSManagedObject

@property (nonatomic, retain) NSDate * endDate;
@property (nonatomic, assign) BOOL isPublished;
@property (nonatomic, retain) NSDate * startDate;
@property (nonatomic, retain) NSString * uuid;
@property (nonatomic, retain) NSSet *layers;
@property (nonatomic, retain) NSSet *participations;
@property (nonatomic, retain) Room *room;
@end

@interface Session (CoreDataGeneratedAccessors)

- (void)addLayersObject:(Layer *)value;
- (void)removeLayersObject:(Layer *)value;
- (void)addLayers:(NSSet *)values;
- (void)removeLayers:(NSSet *)values;

- (void)addParticipationsObject:(Participation *)value;
- (void)removeParticipationsObject:(Participation *)value;
- (void)addParticipations:(NSSet *)values;
- (void)removeParticipations:(NSSet *)values;

@end
