//
//  User+Additions.m
//  Partiture
//
//  Created by Kaarel Kruus on 16/03/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "User+Additions.h"
#import "PRTAppDelegate.h"
#import "Bundle.h"

@implementation User (Additions)

+ (User *)fetchActiveUser {
    
    NSError *error = nil;
    
    NSFetchRequest *request = [NSFetchRequest fetchRequestWithEntityName:NSStringFromClass(User.class)];
    [request setPredicate:[NSPredicate predicateWithFormat:@"isActive == YES"]];
    
    NSArray *results = [[APPDELEGATE managedObjectContext] executeFetchRequest:request
                                                                         error:&error];
    if(!error) {
        if(results.count > 0) {
            return results[0]; // return active user
        } else {
            return nil;
        }
    } else {
        return nil;
    }
}

+ (User *)userWithToken:(NSString *)token andName:(NSString *)name {
    
    NSError *error = nil;
    
    NSFetchRequest *request = [NSFetchRequest fetchRequestWithEntityName:NSStringFromClass(User.class)];
    [request setPredicate:[NSPredicate predicateWithFormat:@"token = %@", token]];
    
    NSArray *results = [[APPDELEGATE managedObjectContext] executeFetchRequest:request
                                                                         error:&error];
    
    if(!error) {
        if(results.count > 0) {
            //PRTLog(@"User exists for token: %@", token);
            return results[0]; // return existing user
        } else {
            User *newUser = [NSEntityDescription insertNewObjectForEntityForName:NSStringFromClass(User.class)
                                                          inManagedObjectContext:[APPDELEGATE managedObjectContext]];
            newUser.token = token;
            newUser.name = name;
            [APPDELEGATE saveContext];
            return newUser;
        }
    } else {
        // TODO: reasonable error handling
        return nil;
    }
}

- (NSArray *)scores {
    NSMutableArray *result = [NSMutableArray array];
    for (Bundle *bundle in self.bundles.allObjects) {
        [result addObject:bundle.score];
    }
    return (NSArray *)result;
}

- (Bundle *)bundleForScore:(Score *)score {
    for (Bundle *bundle in self.bundles) {
        if(bundle.score == score) {
            return bundle;
        }
    }
    return nil;
}

@end
